com.smartgwt.client.util.workflow

## Class GridFetchDataTask

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.ComponentTask
      - - com.smartgwt.client.util.workflow.GridFetchDataTask

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class GridFetchDataTask
      extends ComponentTask

  Fetch data matching specified criteria into grid.
  See Also:
    `ListGrid.fetchData()`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridFetchDataTask()`
    `GridFetchDataTask(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.Boolean` | `getApplyToImplicitCriteria()` Should criteria be applied to the grid as `implicit criteria`? When criteria is applied this way, it is not shown to the user and cannot be changed by the user.
    `Criteria` | `getCriteria()` Criteria to use for fetch.
    `static GridFetchDataTask` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `DSRequest` | `getRequestProperties()` Additional properties to set on the DSRequest that will be issued to perform the fetch or clear criteria.
    `GridFetchDataTask` | `setApplyToImplicitCriteria(java.lang.Boolean applyToImplicitCriteria)` Should criteria be applied to the grid as `implicit criteria`? When criteria is applied this way, it is not shown to the user and cannot be changed by the user.
    `GridFetchDataTask` | `setCriteria(Criteria criteria)` Criteria to use for fetch.
    `GridFetchDataTask` | `setRequestProperties(DSRequest requestProperties)` Additional properties to set on the DSRequest that will be issued to perform the fetch or clear criteria.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

      `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetComponent, getTargetComponent, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, isCreated, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, updateGlobalIDInCriteria, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridFetchDataTask

          public GridFetchDataTask()

    - #### GridFetchDataTask

          public GridFetchDataTask(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static GridFetchDataTask getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `ComponentTask`

    - #### setApplyToImplicitCriteria

          public GridFetchDataTask setApplyToImplicitCriteria(java.lang.Boolean applyToImplicitCriteria)
                                                       throws java.lang.IllegalStateException

      Should criteria be applied to the grid as `implicit criteria`? When criteria is applied this way, it is not shown to the user and cannot be changed by the user.
      Parameters:
        `applyToImplicitCriteria` - New applyToImplicitCriteria value. Default value is null
      Returns:
        `GridFetchDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getApplyToImplicitCriteria

          public java.lang.Boolean getApplyToImplicitCriteria()

      Should criteria be applied to the grid as `implicit criteria`? When criteria is applied this way, it is not shown to the user and cannot be changed by the user.
      Returns:
        Current applyToImplicitCriteria value. Default value is null

    - #### setCriteria

          public GridFetchDataTask setCriteria(Criteria criteria)
                                        throws java.lang.IllegalStateException

      Criteria to use for fetch. If criteria is `null` or empty, the filter criteria of the grid will be cleared.
      Parameters:
        `criteria` - New criteria value. Default value is null
      Returns:
        `GridFetchDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getCriteria

          public Criteria getCriteria()

      Criteria to use for fetch. If criteria is `null` or empty, the filter criteria of the grid will be cleared.
      Returns:
        Current criteria value. Default value is null

    - #### setRequestProperties

          public GridFetchDataTask setRequestProperties(DSRequest requestProperties)
                                                 throws java.lang.IllegalStateException

      Additional properties to set on the DSRequest that will be issued to perform the fetch or clear criteria.
      Parameters:
        `requestProperties` - New requestProperties value. Default value is null
      Returns:
        `GridFetchDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getRequestProperties

          public DSRequest getRequestProperties()

      Additional properties to set on the DSRequest that will be issued to perform the fetch or clear criteria.
      Returns:
        Current requestProperties value. Default value is null